.page-body {
    padding: 30px 100px;
}
.block {
    width: 300px;
    height: 200px;
    border: 1px solid #000000;
    background-color: darkorange;
    margin-right: auto;
    margin-left: auto;
    transition: transform 0.7s;
}
.toggle:checked + .translateX  {
    transform: translateX(50px);
}